version: "2"
services:
  pult-proxy:
    image: registry.pult.chislitellab.ru:8123/releases/2.1.0/proxy-sqlite3-redos8:7.0.16
    restart: unless-stopped
    ports:
      - "10051:10051"
      - "10050:10050"
    volumes:
      - "/etc/localtime:/etc/localtime:ro"
      - "/usr/share/snmp/mibs:/var/lib/zabbix/mibs:ro"
      - "./zbx_env/etc/freetds:/etc/freetds:rw"
      - "./zbx_env/etc/odbc.ini:/etc/odbc.ini:rw"
      - "./zbx_env/etc/odbcinst.ini:/etc/odbcinst.ini:rw"
      - "./zbx_env/var/lib/zabbix/snmptraps:/var/lib/zabbix/snmptraps:rw"
    ulimits:
      nproc: 65535
      nofile:
    soft: 20000
        hard: 40000
    env_file:
      - .env_prx
    user: root
    privileged: true
    networks:
      - pult_net

networks:
  pult_net:
    driver: bridge
    driver_opts:
      com.docker.network.enable_ipv6: "false"
    ipam:
      driver: default
      config:
        - subnet: 172.22.238.0/24
          gateway: 172.22.238.1

